Chuyển đến nội dung
Diễn đàn CADViet

Bảng xếp hạng


Nội dung phổ biến

Hiển thị nội dung có danh tiếng cao nhất vì 11/03/2021 trong tất cả các lĩnh vực

  1. 2 điểm
  2. 2 điểm
    Đây bạn, chọn text mẫu chứa STT ban đầu rồi mỗi lần pick nó sẽ sao chép ra 1 text, tăng lên 1 đơn vị. Bởi sao ra nên nó sẽ có các đặc tính như text đầu: layer, color, angle, height.. (defun c:sti1 ( / ent ent0 p0 p1 nd nd1) (setq ent (entsel) p0 (cadr ent) ent0 (entget (car ent)) nd (cdr (assoc 1 ent0)) nd (atoi nd)) (while (setq p1 (getpoint "\nDiem tiep theo" p0)) (progn (setq nd (+ nd 1)) (setq nd1 (rtos nd 2 0)) (setq ent0 (subst (cons 1 nd1) (assoc 1 ent0) ent0) ent0 (subst (cons 10 p1) (assoc 10 ent0) ent0) ent0 (subst (cons 11 p1) (assoc 11 ent0) ent0)) (entmake ent0) )))
  3. 2 điểm
    Tốt nhất là dùng lisp cho các OS hay dùng, tên theo giá trị OS hoặc cđ OS VD (defun C:33 () (setvar "OSMODE" 33)) hoặc (defun C:EI () (setvar "OSMODE" 33)) ; End + Inters Muốn biết OS đang dùng, type vào command (getvar "OSMODE")
  4. 1 điểm
    :D :D :D Phá Block cứng đầu: Tut này dành cho các mem dã thử explodeM thất bại. Down nhanh kẻo link die. :D đồ nghề đây: http://www.cadviet.com/upfiles/3/110802_phablockmisertmethod2_1.rar Sử dụng cơ bản: 1. Chạy lệnh "RenSGCQ", chọn block cứng đầu. 2. Chạy lệnh "MinBlockExplode", chọn block cứng đầu. 3. Tẩy trang để thu thành phẩm. 4. Trong đồ nghề có kèm file để thực hành. 5. Trong đồ nghề có kèm lệnh ExplodeM cho mem nào có nhu cầu. 6. Bài tập đã giải down ở đây: http://www.cadviet.com/upfiles/3/110802_giaibaitap.dwg Đã có phương án 3 của @KangKung. Here: http://www.cadviet.com/upfiles/3/110802_71162_xmi.zip Lệnh xài: xmi :D :D :D Similar topics from web:
  5. 1 điểm
    Bạn xem cái này được không: (DEFUN c:test7 (/ L1 L2 LS SS) (DEFUN LM:ListDifference (l1 l2) (VL-REMOVE-IF '(LAMBDA (x) (MEMBER x l2)) l1) ) (DEFUN dxf_ent (dxf ent) (CDR (ASSOC dxf (ENTGET ent))) ) (DEFUN ss->list (ss / ls) (FOREACH n (SSNAMEX ss) (IF (= 'ename (TYPE (CADR n))) (SETQ ls (APPEND ls (LIST (CADR n)))) ) ) ls ) (DEFUN phuongtrinhdt (ent / p a x y) (SETQ p (dxf_ent 10 ent) a (dxf_ent 50 ent)) (SETQ x (CAR p) y (CADR p)) (- y (* x (/ (SIN a) (COS a)) ) ) ) (DEFUN trungduongthang (ent ls / tmp) (SETQ tmp nil) (FOREACH n ls (IF (= (phuongtrinhdt ent) (phuongtrinhdt n)) (SETQ tmp T)) ) tmp ) (SETQ ss (SSGET '((0 . "*DIMENSION*")))) (SETQ ls (ss->list ss)) (SETQ l1 (LIST)) (FOREACH n ls (IF (NOT (trungduongthang n (VL-REMOVE n ls))) (SETQ l1 (APPEND l1 (LIST n))) ) ) (SETQ l2 (LM:ListDifference ls l1)) ;; l2 là list những dim ngang hàng nhé bạn. ;; (FOREACH n l2 (ENTDEL n)) (foreach n l2 (ssdel n ss)) (command "copy" ss "" pause pause "") )
  6. 1 điểm
  7. 1 điểm
    Không biết cách của Danh Cong với (ssname ss 0) có ra cùng 1 đối tượng không nhỉ?
  8. 1 điểm
    Phần 1 : Mình hay lấy kiểu này hơn (Setq ss (acet-ss-to-list (ssget '((0 . "DIMENSION"))))) Lấy phần tử đầu tiên (Setq N0 (nth 0 ss)) Phần 2 : Chịu
  9. 1 điểm
    Bài toán được giải trên cơ sở khoảng cách giữa cặp xanh-đỏ là bé nhất so với các block còn lại. ;;; khoảng cách 2 entity (DEFUN khoangcach (e1 e2) (DISTANCE (CDR (ASSOC 10 (ENTGET e1))) (CDR (ASSOC 10 (ENTGET e2))) ) ) ;;; trả về T nếu e1(Y) < e2 (Y) (DEFUN y_be_hon (e1 e2 / p1 p2) (SETQ p1 (CDR (ASSOC 10 (ENTGET e1))) p2 (CDR (ASSOC 10 (ENTGET e2))) ) (< (CADR p1) (CADR p2)) ) ;;; nếu thỏa mãn khoảng cách d từ e1 đến 1 entity trong list sẽ trả về 1 entity đó, còn lại trả về nil (DEFUN timdiemthoaman (e1 ls d / e3) (FOREACH e2 ls1 (PROGN (SETQ d1 (khoangcach e1 e2)) (IF (AND (= d1 d) (y_be_hon e1 e2) ) (SETQ e3 e2) ) ) ) e3 ) ;;;;; loc lay cac gia tri can tim (DEFUN loclist (ls d / ls2) (FOREACH e1 ls (IF (SETQ e2 (timdiemthoaman e1 ls d)) (SETQ ls2 (APPEND ls2 (LIST e1))) ) ) ls2 ) (SETQ ss1 (SSGET '((0 . "INSERT")))) (SETQ ss (ss->ent ss1)) (SETQ e1 (CAR ss) e3 (CADR ss) ls1 (CDDR ss)) ;;lấy khoảng cách bất kỳ (SETQ d (khoangcach e1 e3)) ;; so sánh để lấy khoảng bé nhất (FOREACH e2 ls1 (PROGN (SETQ d1 (khoangcach e1 e2)) (IF (< d1 d) (SETQ d d1) ) ) ) (setq ls1 (loclist ss d)) (setq ss2 (ssadd)) (foreach n ls1 (ssadd n ss2) ) ;;; ss2 la selection phần màu đỏ ;;(command "move" ss2 "" pause pause)
  10. 1 điểm
    Không biết lần này ra sao demblock.LSP
  11. 1 điểm
    Bác Doan Nguyen Van viết lisp khá là nhanh đó, cũng là dạng tuổi trẻ tài cao đấy nhé!
  12. 1 điểm
    C1 : Lấy hết block rồi duyệt gần nhất theo Insertion Point, được cặp nào thì xóa khỏi tập chọn C2 : Định khoảng delta max, rồi duyệt từng block, dùng ssget CP/WP để chọn thằng gần nhất, xóa khỏi tập chọn C3 : Số lượng quá lớn thì vẫn có thể làm 1 trong 2 cách trên, nhưng chặt nhỏ ra thành nhiều vùng tập chọn ^^
  13. 1 điểm
    (tâm hình tròn là viền của cây cột (5)) là sai, viền của cột là nhiều điểm chứ đâu phải 1 điểm. Cách vẽ đúng: + Vẽ đường tròn có tâm là tim cột, bán kính là R = (9.7 + Rcột) + Offset tường ra 9m. Đường mới này và đường tròn cắt nhau tại 2 điểm, nhìn hướng xem điểm nào đúng là xong
  14. 1 điểm
    Nó là zoom SCALE 2x mới đúng, không phải zoom Center (defun c:Z2() (command "ZOOM" "s" "2x") (princ))
  15. 1 điểm
    Như này á (defun c:Z2() (command "ZOOM" "c" (getpoint) "2x") (princ))
  16. 1 điểm
    Ngại thiết lập tay thì bạn có thể sử dụng lisp để thiết lập chế độ bắt điểm :))) Ngon, bổ , rẻ :))
  17. 1 điểm
    Không phải chỗ này bác. Bác cho em xin Email. Em trao đổi cho tiện ạ. Trên này nó giới hạn nhiều thứ quá. Cảm ơn bác.
  18. 1 điểm
    Hi! Phần mềm này do mình tự viết. Mình nghĩ vậy ko biết đúng không? Bạn cho biết 2 điểm trên bản vẽ hà nội và 2 điểm này sẽ nằm ở đâu trong Tỉnh Nghệ An thì mới chuyển được chứ. Và nếu đã biết 2 diểm như vậy sao Bạn ko dùng lệnh Align để xoay và Move bản vẽ đến đó cho nhanh. Thực tình ko hiểu vì sao bạn lại chuyển bản vẽ kiếu như vậy. Sông Hồng ở Hà Nội sao bạn lại chuyển sông Hồng vào Nghệ An làm chi? Nếu cần chuyển thì chắc là chỉ chuyển toạ độ những công trình thiết kế Hàn nội, bây giờ muốn dùng ở Nghệ An nên chuyển sang toạ độ Nghệ An. Không biết phải vậy ko? Chào nhé!
  19. 1 điểm
    Hôm nay lễ chia sẽ cùng các Bạn lisp in bản vẽ mình đang sử dụng, lips này là bản nâng cấp và có giao diện đơn giản hơn so với lisp trước đây: * Công dụng: in nhiều bản vẽ trong Layout hoặc Model của file dwg với nhiều lựa chọn * Tên lệnh : MPL * Hướng dẫn: - Phần plotter, paper, plotstyle các Bạn chọn cho phù hợp với nhu cầu - Nút lệnh kế bên plotstyle là để sửa nét in ctb hiện hữu. - Phần "Sample", nhấn nút hình cái phểu để chọn mẫu làm điều kiện lọc. Mẫu là tên của các block HOẶC tên layer của các polyline, khi chọn xong thì chữ "sample" sẽ đổi thành block hoặc layer, nếu vẫn còn chữ sample là khi bạn chọn có cả block và polyline hoặc không chọn gì cả. - L => R, T => B: là chế độ sắp xếp thứ tự các bản vẽ được in ra, chế độ "select order" là cái nào chọn trước thì được in trước. Điểm cơ sở để sắp xếp là góc dưới bên trái của hình chữ nhật bao block hoặc polyline - Sau khi đã chọn mẫu hợp lệ thì nhấn nút "Select" để chọn các bản vẽ cần in hoặc plotpreview - Khi đã chọn được các bản vẽ cần in thì tổng số bản vẽ sẽ được in hiện trong danh sách kế bên nút hình kính lúp - Khi nhấn nút hình kính lúp thì sẽ chuyển qua chế độ plotpreview của bản vẽ đang hiện trong danh sách, nếu thay đổi số thứ tự trrong danh sách thì sẽ plotpreview bản vẽ theo số thứ tự được chọn - nút "Plot <ALL>" để in các khung in đã chọn. Nếu không có các khung in chọn bởi nút "Select" thì sẽ in tất cả các khung in trong model/layout hiện hữu thỏa mãn điều kiện lọc là block hoặc layer Nút "CADVIET" là để đi đến bài viết này trên CadViet.com Phần Options thì các Bạn tự khám phá nhé @ Lisp này mình viết cho công việc của mình nên các phần in ra file ảnh, PLT, DWF mình không làm. Riêng file PDF thì dùng phần mềm pdfFactory Pro để cài máy in ảo, khi in file pdf thì chọn máy in này, sau khi save thì tất các các bản vẽ sẽ nằm trong 1 file rất dễ quản lý Cập nhật 22/6/2020: Sửa lỗi ghi các file thành dạng *.plt khi chọn thư mục khác với thư mục bản vẽ đang in MPL1_10-22Jun2020.rar Cập nhật 1/1/2020: Chọn thư mục khi in file, đưa trở lại lệnh "PLC" để in liên tục theo cấu hình in trước đó mà không cần mở giao diện - khi chọn chức năng "Plot to file" sẽ xuất hiện giao diện chọn thư mục để lưu file, nếu chọn nút nút Cancel thì mặc định sẽ lưu tại thư mục bản vẽ đang in - lệnh "PLC" sẽ in theo cấu hình của lần in trước trên model hoặc layout( máy in, giấy, nét in, block/layer, ...). Khi được yêu cầu chọn đối tượng để in, nếu enter thì sẽ chọn tất cả các đối tượng block/layer trên model hoặc layout hiện hành thỏa mãn điều lọc để in MPL-1Jan2020.rar Cập nhật 4/7/2019: sửa lổi in nhiều file khi chọn in ảnh, DWF, PDF của các máy in *.pc3 MPL-4Jul2019.rar Cập nhật 3/7/2019 MPL-3Jul2019.rar - Đưa trở lại tính năng in ảnh, DWF, PDF của các máy in *.pc3 - Đưa trở lại tính năng collated khi in nhiều bộ bản vẽ (in 1,1/2,2/3,3 hoặc 1,2,3/1,2,3) - Hỗ trợ Auto scale theo scale list của acad ở hệ metric (tên scale có dạng 1:100, 2:1, ...) với biên độ 5%. VD: nếu fit to page có tỉ lệ 1/95 đến 1/105 thì auto scale về tỉ lệ 1/100 đã có trong scale list của acad, nếu không có trong scale list thì sẽ tự động fit to page - Sửa lỗi để lisp chạy nhanh và ổn định hơn MPL.rar Nếu giải nén bị lỗi thì tìm Winrar bản mới nhất để giải nén nhé Các bản cũ: http://www.cadviet.com/upfiles/3/3202_mplmultiplot_1.rar @30/5/2014: Cập nhật: http://www.cadviet.com/upfiles/3/3202_mplmultiplot_3.rar @11/11/2014: Cập nhật http://www.cadviet.com/upfiles/4/3202_mplmultiplot.rar MPL.rar
  20. 1 điểm
    Bạn test xem ổn không. Lệnh VTL nhé VTL ve thep L.lsp
  21. 1 điểm
    Theo tôi thì nên sử dụng Block dynamic cũng rất nhanh , hơn nữa khi bạn thống kê thì ngon hơn. Bro thử xem file đính kèm có dùng được không Thép L-2Lỗ.dwg
  22. 1 điểm
  23. 1 điểm
    Ví dụ 2 dòng sau đều gán a = 2 (setq a 2) (set 'a 2) Tuy nhiên hàm set chậm hơn nhưng cho phép by reference, hàm setq chỉ cho phép by value VD hàm swap 2 biến : (defun Swap (ru rv / w) (setq w (eval ru)) (set ru (eval rv)) (set rv w)) (setq a 1 b 2) (swap 'a 'b)
  24. 1 điểm
    Drawing1.dwg (ssget "w" '(0 0) '(1 1)) Chọn 2 đối tượng DIM và BLOCK
  25. 1 điểm
    Sao không dùng copy paste toàn bộ taphop (vl-cmdf "_.copybase" "_none" '(0 0 0) taphop "")
Bảng thành tích này được đặt thành Tp. Hồ Chí Minh /GMT +07:00


  • Newsletter

    Want to keep up to date with all our latest news and information?

    Sign Up
×